Bug 584867 - RFE: Schedule multiple systems via system.scheduleScriptRun
Summary: RFE: Schedule multiple systems via system.scheduleScriptRun
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
(Show other bugs)
Version: 530
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Miroslav Suchý
URL:
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
Keywords: FutureFeature
Depends On:
Blocks: sat540-api, sat540-apis
TreeView+ depends on / blocked
 
Reported: 2010-04-22 15:32 UTC by Aron Parsons
Modified: 2016-01-04 05:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 15:01:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aron Parsons 2010-04-22 15:32:49 UTC
Description of problem:
system.scheduleScriptRun should be modified to schedule multiple systems at once.  Currently, each system must be scheduled individually and each receives its own action ID.  This makes viewing the results of the script far more difficult than it needs to be.  It also clutters up the schedule with an entry for each system. 

Also note, the methods to retrieve the results already return the results for multiple systems.

Version-Release number of selected component (if applicable):
Satellite 5.3.0

Comment 1 Aron Parsons 2010-07-15 16:49:49 UTC
upstream commit 2ab0856c47a23beb8dc29558a6c4d85926cbd698

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=2ab0856c47a23beb8dc29558a6c4d85926cbd698

Comment 2 Tomas Lestach 2010-07-16 07:54:44 UTC
referring checkstyle fixes ...
spacewalk.git: bc23e3c65162579e705efaedb7202ef949300553

Comment 5 Clifford Perry 2010-10-28 15:01:29 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.